Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
how to emerge qemu ? [solved ???]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
ddc
Guru
Guru


Joined: 29 Aug 2006
Posts: 527

PostPosted: Mon Oct 29, 2007 7:26 am    Post subject: Reply with quote

JoseJX wrote:
This has nothing to do with 2007.0, Gentoo releases like 2007.0 are kind of like a bookmark or snapshot of the tree at a point in time. That's all. :p


yes, we know, i mean in 2005.0 there was not all these issues with sources
problem with openoffice 2.2, problem with VLC, problem with qemu, ecc

Quote:

Anyway, that warning is because you don't have RTC support in your kernel. It should go away if you add RTC emulation afaik. I'm not going to comment on the gcc-4 patch since I've never tried it, but I'm pretty sure Gentoo won't include it until the Qemu upstream does.


i have RTC support enabled in my kernel: this is the problem !

the patch makes you able to compile qemu-0.9.0 with gcc 4.x, i tested it, and it compiles
the problem is: once you have qemu emerge it does not work: when you invoke it, it shows the warning, then it loops for ever


with kernel 2.6.12/2.6.21 i packed the qemu-0.8.0-binaries&C from the old emerged i did times ago, and i replaced the qemu-0.9.0 i emerged this times: and it is 100% working in my environment, so the problem is something related to qemu-0.9.0

what exactly makes it to loop for ever ?)
Back to top
View user's profile Send private message
alonbl
n00b
n00b


Joined: 30 Jun 2005
Posts: 57

PostPosted: Sat Nov 03, 2007 3:52 pm    Post subject: Reply with quote

Does someone has a solution to:
i686-pc-linux-gnu-gcc -Wall -O2 -g -fno-strict-aliasing -mpreferred-stack-boundary=2 -fomit-frame-pointer -falign-functions=0 -fno-gcse -fno-reorder-blocks -fno-optimize-sibling-calls -I. -I.. -I/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/target-i386 -I/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -I/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/fpu -DHAS_AUDIO -I/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/slirp -c -o op.o /var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/target-i386/op.c
/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/target-i386/ops_template_mem.h: In function ‘op_shlb_user_T0_T1_cc’:
../softmmu_header.h:207: error: can't find a register in class ‘GENERAL_REGS’ while reloading ‘asm’
make[1]: *** [op.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/i386-softmmu'
make: *** [subdir-i386-softmmu] Error 2

This is after I applied the suggested patch.

Thanks!
Back to top
View user's profile Send private message
ddc
Guru
Guru


Joined: 29 Aug 2006
Posts: 527

PostPosted: Sat Nov 03, 2007 6:00 pm    Post subject: Reply with quote

alonbl wrote:
Does someone has a solution to:

../softmmu_header.h:207: error: can't find a register in class ‘GENERAL_REGS’ while reloading ‘asm’
make[1]: *** [op.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-emulation/qemu-softmmu-0.9.0/work/qemu-0.9.0/i386-softmmu'
make: *** [subdir-i386-softmmu] Error 2

This is after I applied the suggested patch.

Thanks!


yes, you have to install binutils 2.18: this way it will compile qemu-0.9.0 with gcc 4.1.2
unfortunately once compiled it will not work as it should ...

personally i switched to qemu-0.8.0: i could provide you a binary tarball of it
Back to top
View user's profile Send private message
alonbl
n00b
n00b


Joined: 30 Jun 2005
Posts: 57

PostPosted: Sun Nov 04, 2007 5:59 pm    Post subject: Reply with quote

Thanks for your reply!

ddc wrote:
yes, you have to install binutils 2.18: this way it will compile qemu-0.9.0 with gcc 4.1.2
unfortunately once compiled it will not work as it should ...


Oh...

ddc wrote:

personally i switched to qemu-0.8.0: i could provide you a binary tarball of it


Does qemu-0.8.0 works with gcc-4?
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Mon Nov 05, 2007 8:56 am    Post subject: Reply with quote

Quote:
Does qemu-0.8.0 works with gcc-4?


apparently not :

qemu-user-0.8.0.ebuild && qemu-softmmu-0.8.0.ebuild wrote:
pkg_setup() {
if [ "$(gcc-major-version)" == "4" ]; then
ewarn "Qemu could not build with GCC 4"
fi
}[


afaik gcc4 is not supported upstream.

saluetes
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum